> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/sites/map/details > Per LAN segment (VRF), sites touched by that segment and device lists with/without the segment on each site ## OpenAPI ````json GET /v1/sites/map/details { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/sites/map/details": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "lanSegmentIds", "in": "query", "description": "", "required": false, "schema": { "type": "array", "items": { "type": "integer", "format": "int64", "example": 1234567891011 }, "example": [ 0 ] }, "style": "deepObject", "explode": true }, { "name": "siteIds", "in": "query", "description": "", "required": false, "schema": { "type": "array", "items": { "type": "integer", "format": "int64", "example": 1234567891011 }, "example": [ 0 ] }, "style": "deepObject", "explode": true }, { "name": "siteListIds", "in": "query", "description": "", "required": false, "schema": { "type": "array", "items": { "type": "integer", "format": "int64", "example": 1234567891011 }, "example": [ 0 ] }, "style": "deepObject", "explode": true } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1SitesMapDetailsGetResponse" } } } } }, "description": "Per LAN segment (VRF), sites touched by that segment and device lists with/without the segment on each site" } } }, "components": { "schemas": { "v1SitesMapDetailsGetResponse": { "type": "object", "properties": { "lanSegmentIds": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2LanSegmentSitesMap" } } }, "additionalProperties": false }, "manaV2LanSegmentSitesMap": { "type": "object", "properties": { "siteIds": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2SiteLanSegmentDeviceBuckets" } }, "siteListIds": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/manaV2SiteLanSegmentDeviceBuckets" } } }, "additionalProperties": false }, "manaV2SiteLanSegmentDeviceBuckets": { "type": "object", "properties": { "lanSegmentExists": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2SiteDeviceSummary" } }, "lanSegmentMissing": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2SiteDeviceSummary" } } }, "additionalProperties": false }, "manaV2SiteDeviceSummary": { "type": "object", "properties": { "deviceId": { "type": "integer", "format": "int64", "example": 12345678910, "minimum": 0 }, "hostname": { "type": "string", "example": "example string" }, "siteId": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````